Bug 1023458 - Use property filtering for dtgov.properties for ${project.version}
Use property filtering for dtgov.properties for ${project.version}
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Eric Wittmann
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 09:15 EDT by Eric Wittmann
Modified: 2015-08-02 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DTGOV-82 Major Reopened Use property filtering in dtgov-installer for ${project.version} 2014-01-16 05:03:24 EST

  None (edit)
Description Eric Wittmann 2013-10-25 09:15:15 EDT
Description of problem:
Currently the dtgov version is added to dtgov.properties during installation rather than during build time (in community).

This results in a required patch to the community build for productization.  We should change the community to include the property at build time rather than at installation time, which will remove the need for a patch in product.
Comment 2 Eric Wittmann 2013-10-29 09:12:28 EDT
In community, we are now adding the version at build time rather than at installation time.  This is done by applying resource filtering to a subset of the resources being included in the dtgov-installer jar.
Comment 3 Eric Wittmann 2013-10-29 09:12:57 EDT
Note: this change was requested by the prod team.
Comment 4 Stefan Bunciak 2014-01-16 05:03:12 EST
Verified in FSW 6.0.0.ER8

Note You need to log in before you can comment on or make changes to this bug.